Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetWhiteSpace

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.FacetWhiteSpace

public class FacetWhiteSpace
extends SOMFacet

whiteSpace constrains the value space of types derived from string such that the various behaviors specified in Attribute Value Normalization in [XML 1.0 (Second Edition)] are realized. The value of whiteSpace must be one of {preserve, replace, collapse}.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`byte` | `COLLAPSE`
`byte` | `PRESERVE`
`byte` | `REPLACE`

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetWhiteSpace(java.lang.String val)`

Method Summary
`java.lang.String` | `getID()`
`java.lang.String` | `getValue()`
`void` | `setValue(java.lang.String val)`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRESERVE

    public final byte PRESERVE

### REPLACE

    public final byte REPLACE

### COLLAPSE

    public final byte COLLAPSE

Constructor Detail

### FacetWhiteSpace

    public FacetWhiteSpace(java.lang.String val)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### getValue

    public java.lang.String getValue()

  Overrides:
    getValue in class SOMFacet

### setValue

    public void setValue(java.lang.String val)

  Overrides:
    setValue in class SOMFacet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)